%define pkg_name        RDF-Core
%define pkg_version     0.51
%define rpm_pkg_version 0.51
%define rpm_pkg_release 2.n0i.7

Summary:       Basic RDF Tools
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DP/DPOKORNY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::More)}
%{!?_without_test:BuildRequires: perl(URI) >= 1.03}
%{!?_without_test:BuildRequires: perl(XML::Parser) >= 2.3}


%description
Object oriented Perl modules for handling tasks related to RDF.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes dbmodel/ doc/ README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.51-2.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild

* Tue Mar 13 2007 Marius FERARU <altblue@n0i.net> - 0.51-1.n0i.6
- version 0.51

* Sat Jul 15 2006 Marius Feraru <altblue@n0i.net> - 0.50-1.n0i.5
- version 0.50

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.40-1.n0i.4
- version 0.40

* Fri Jul 29 2005 Marius Feraru <altblue@n0i.net> 0.31-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.31-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Thu Jan 27 2005 Marius Feraru <altblue@n0i.net> 0:0.31-1.n0i.1
- version 0.31
- spec file (re?)created using N0i::CPAN::RPMizer/2004120601
